package cn.com.ctop.shiwan.modules.mapper;

import cn.com.ctop.shiwan.modules.entity.ShiwanFileUpload;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 试玩平台，文件信息
 *
 * @author: jeecg-boot
 * @date: 2020-10-21
 * @cersion: V1.0
 */
public interface ShiwanFileUploadMapper extends BaseMapper<ShiwanFileUpload> {

    ShiwanFileUpload selectEntity(JSONObject job);

    void deleteByParentId(Long id);

    List<ShiwanFileUpload> selectListByParentId(String id);
}
